Command Palette
Search for a command to run

Create a git provider

Register a new git provider with authentication credentials

POST
/auth/v1/seed/{namespace}/git-providers

Register a new git provider with authentication credentials.

Path parameters


namespace
type: string
required
The namespace (user or organization) to create the git provider in.

Body parameters


name
type: string
required
A descriptive name for the git provider (e.g., `acme-github`).
provider_type
type: string
required
The git hosting platform. One of `github`, `gitlab`, `bitbucket`.
access_token
type: string
required
Personal access token or app installation token for authenticating with the git provider.
webhook_secret
type: string
Secret used to verify incoming webhook payloads from the git provider.

Previous Delete a DNS provider

Next List git providers